Bug 1410910 - When the same action is used twice for a policy, action icons are inconsistent
Summary: When the same action is used twice for a policy, action icons are inconsistent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Jozef Zigmund
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
: 1412986 (view as bug list)
Depends On:
Blocks: 1436228 1436230
TreeView+ depends on / blocked
 
Reported: 2017-01-06 20:10 UTC by Razique Mahroua
Modified: 2017-05-31 14:32 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1436228 1436230 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:32:32 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
Shows the same action selected twice (298.49 KB, image/png)
2017-01-06 20:10 UTC, Razique Mahroua
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Razique Mahroua 2017-01-06 20:10:47 UTC
Created attachment 1238090 [details]
Shows the same action selected twice

Description of problem:
When creating a control or compliance policy, the icon for a given action can have two states:
  - Green check mark when the action has been chosen for Order of 'Actions if ALL Conditions are True'
  - Red mark when the action has been chosen for 'Order of Actions if ANY Conditions are False'


However, if the same action is selected to the two evaluation (i.e. in the two frames), the icon for one of the two states is the wrong one

Version-Release number of selected component (if applicable):
5.6.3.3.20161128141841_49d925b

How reproducible:


Steps to Reproduce:
1. Create a control policy
2. Define an event, such as "VM Power On"
3. Edit the actions for the policy event and choose the same action for the two frames 

Actual results:
The action icon will be the same


Expected results:
The action icon part of the 'Order of Actions if ALL Conditions are True' should display a green check mark

The action icon part of the 'Order of Actions if ANY Conditions are False' should display a red cross.


Additional info:

Comment 3 Dan Clarizio 2017-01-13 20:51:14 UTC
*** Bug 1412986 has been marked as a duplicate of this bug. ***

Comment 6 CFME Bot 2017-03-23 10:47:51 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/e8c6260a240a84bb3b7173b4db2ecd0d01eda55e

commit e8c6260a240a84bb3b7173b4db2ecd0d01eda55e
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Tue Mar 21 17:20:46 2017 +0100
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Wed Mar 22 11:26:32 2017 +0100

    Fix actions' icons of policy events
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410910

 app/presenters/tree_builder_policy.rb  | 10 ++++++++++
 app/presenters/tree_node/miq_action.rb | 18 +++++++-----------
 2 files changed, 17 insertions(+), 11 deletions(-)

Comment 9 Dmitry Misharov 2017-03-31 07:30:20 UTC
Verified in 5.8.0.8-alpha1.20170328221054_e6ca7a2.

Comment 11 errata-xmlrpc 2017-05-31 14:32:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.